﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Drawing;

namespace howto_90_degree_arcs
{
    public static class Extensions
    {
        public static void DrawPoint(this Graphics gr,
            Brush brush, Pen pen, PointF point, float radius)
        {
            RectangleF rect = new RectangleF(
                point.X - radius, point.Y - radius,
                2 * radius, 2 * radius);
            gr.FillEllipse(brush, rect);
            gr.DrawEllipse(pen, rect);
        }

        public static void DrawRectangle(this Graphics gr,
            Pen pen, RectangleF rect)
        {
            gr.DrawRectangle(pen,
                rect.X, rect.Y, rect.Width, rect.Height);
        }
    }
}
